Bug 728864 - Cloned run orders test cases by alphabetical order
Summary: Cloned run orders test cases by alphabetical order
Keywords:
Status: VERIFIED
Alias: None
Product: TCMS
Classification: Other
Component: Usability
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: June Zhang
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-08 08:04 UTC by Michal Haško
Modified: 2018-02-16 00:33 UTC (History)
7 users (show)

Fixed In Version: TCMS 3.6.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Michal Haško 2011-08-08 08:04:48 UTC
Description of problem:
When cloning a test run, the new resulting run has test cases ordered by alphabetical order, not by the original 'Sort' values.

Version-Release number of selected component (if applicable):
Nitrate 3.5.0

How reproducible:
1/1

Steps to Reproduce:
1. Clone a test run
2. Compare ordering of the new run to the original
  
Actual results:
the test cases are ordered alphabetically, the 'Sort' values follow this order

Expected results:
the test cases should be ordered by original 'Sort' values

Comment 1 jianchen 2011-11-23 01:07:06 UTC
(In reply to comment #0)
> Description of problem:
> When cloning a test run, the new resulting run has test cases ordered by
> alphabetical order, not by the original 'Sort' values.
> 
> Version-Release number of selected component (if applicable):
> Nitrate 3.5.0
> 
> How reproducible:
> 1/1
> 
> Steps to Reproduce:
> 1. Clone a test run
> 2. Compare ordering of the new run to the original
> 
> Actual results:
> the test cases are ordered alphabetically, the 'Sort' values follow this order
> 
> Expected results:
> the test cases should be ordered by original 'Sort' values

Fixed in tcms 3.6.2, the test cases will ordered by original 'Sort' values.

Comment 2 Xin Gao 2011-11-24 04:42:29 UTC
Verify version and result:
3.6.2 on englab --> PASSED

Actual results:
case-runs can be ordered by original 'Sort' values after cloning test run.


Note You need to log in before you can comment on or make changes to this bug.